Bug 1204119 - ejabberd-16.01 is available
Summary: ejabberd-16.01 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ejabberd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Randy Barlow
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1294331 1294368 1294587 1294730 1295009 1295011 1295035 1295075 1296792 1297094 1297150 1299305 1301316 1303434
Blocks: 1179216 1239445
TreeView+ depends on / blocked
 
Reported: 2015-03-20 12:31 UTC by Upstream Release Monitoring
Modified: 2016-02-16 17:42 UTC (History)
10 users (show)

Fixed In Version: ejabberd-16.01-1.fc24
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-16 17:42:25 UTC
Type: ---


Attachments (Terms of Use)
[patch] Update to 15.04 (#1204119) (967 bytes, text/x-diff)
2015-04-23 12:27 UTC, Upstream Release Monitoring
no flags Details
[patch] Update to 15.06 (#1204119) (1014 bytes, text/x-diff)
2015-06-25 00:30 UTC, Upstream Release Monitoring
no flags Details
[patch] Update to 15.09 (#1204119) (1014 bytes, patch)
2015-09-30 12:12 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 15.10 (#1204119) (1014 bytes, patch)
2015-10-31 00:13 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 15.11 (#1204119) (1014 bytes, patch)
2015-11-20 12:11 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 16.01 (#1204119) (1014 bytes, patch)
2016-01-13 12:11 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2015-03-20 12:31:29 UTC
Latest upstream release: 15.03
Current version/release in rawhide: 14.07-6.fc22
URL: https://github.com/processone/ejabberd

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Upstream Release Monitoring 2015-03-20 12:35:31 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=9279404

Comment 2 Upstream Release Monitoring 2015-04-23 12:26:47 UTC
Latest upstream release: 15.04
Current version/release in rawhide: 14.07-6.fc22
URL: https://github.com/processone/ejabberd

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 3 Upstream Release Monitoring 2015-04-23 12:27:17 UTC
Created attachment 1017939 [details]
[patch] Update to 15.04 (#1204119)

Comment 4 Upstream Release Monitoring 2015-04-23 12:32:16 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=9548119

Comment 5 Upstream Release Monitoring 2015-06-25 00:29:47 UTC
Latest upstream release: 15.06
Current version/release in rawhide: 14.07-6.fc22
URL: https://github.com/processone/ejabberd

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 6 Upstream Release Monitoring 2015-06-25 00:30:19 UTC
Created attachment 1042891 [details]
[patch] Update to 15.06 (#1204119)

Comment 7 Upstream Release Monitoring 2015-06-25 00:34:35 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=10202837

Comment 8 Upstream Release Monitoring 2015-07-28 12:11:53 UTC
Latest upstream release: 15.07
Current version/release in rawhide: 14.07-6.fc22
URL: https://github.com/processone/ejabberd

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 9 Upstream Release Monitoring 2015-07-28 12:12:19 UTC
Failed to kick off scratch build.

cmd:  sha256sum /var/tmp/thn-zZrwUE/100.0%
return code:  1
stdout:

stderr:
sha256sum: /var/tmp/thn-zZrwUE/100.0%: No such file or directory

Comment 10 Upstream Release Monitoring 2015-09-30 12:11:51 UTC
Latest upstream release: 15.09
Current version/release in rawhide: 14.07-6.fc22
URL: https://github.com/processone/ejabberd

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 11 Upstream Release Monitoring 2015-09-30 12:12:27 UTC
Created attachment 1078605 [details]
[patch] Update to 15.09 (#1204119)

Comment 12 Upstream Release Monitoring 2015-09-30 12:16:42 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11276505

Comment 13 Upstream Release Monitoring 2015-10-31 00:12:32 UTC
Latest upstream release: 15.10
Current version/release in rawhide: 14.07-6.fc22
URL: https://github.com/processone/ejabberd

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 14 Upstream Release Monitoring 2015-10-31 00:13:07 UTC
Created attachment 1088071 [details]
[patch] Update to 15.10 (#1204119)

Comment 15 Upstream Release Monitoring 2015-10-31 00:33:45 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11645303

Comment 16 Upstream Release Monitoring 2015-11-20 12:11:20 UTC
Latest upstream release: 15.11
Current version/release in rawhide: 14.07-6.fc22
URL: https://github.com/processone/ejabberd

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 17 Upstream Release Monitoring 2015-11-20 12:11:55 UTC
Created attachment 1097141 [details]
[patch] Update to 15.11 (#1204119)

Comment 18 Upstream Release Monitoring 2015-11-20 12:16:11 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11920523

Comment 19 Fabio Alessandro Locati 2015-12-17 11:48:58 UTC
Please, update it!

Comment 20 Randy Barlow 2015-12-27 06:09:05 UTC
This is turning into a lot more work than I expected. In order to solve this, I will need to package 14 of ejabberd's dependencies.

Comment 21 Upstream Release Monitoring 2016-01-13 12:11:02 UTC
Latest upstream release: 16.01
Current version/release in rawhide: 14.07-6.fc22
URL: https://github.com/processone/ejabberd

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 22 Upstream Release Monitoring 2016-01-13 12:11:44 UTC
Created attachment 1114381 [details]
[patch] Update to 16.01 (#1204119)

Comment 23 Upstream Release Monitoring 2016-01-13 12:15:26 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12531869

Comment 24 Randy Barlow 2016-02-09 22:29:34 UTC
THIS TICKET IS NOW UNBLOCKED!!!11!1!

Now we just have to cross our fingers and hope that there aren't any more surprises. Thanks jcline for all the hard work!

Comment 25 Randy Barlow 2016-02-14 17:20:56 UTC
I have successfully built ejabberd-15.11-1.fc24:

http://koji.fedoraproject.org/koji/taskinfo?taskID=12983608

It's a very messy spec file ATM, and I did a lot of hacks. I plan to see if I can get 16.01 to build before next Tuesday (the F24 branch day). If I can, we'll ship 16.01 with Rawhide. If I cannot, we'll stick with 15.11.

Comment 26 Randy Barlow 2016-02-14 17:44:24 UTC
Here is the real build of ejabberd-15.11-1.fc24:

http://koji.fedoraproject.org/koji/taskinfo?taskID=12984007

Comment 27 Upstream Release Monitoring 2016-02-16 17:13:26 UTC
rbarlow's ejabberd-16.01-1.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=736402


Note You need to log in before you can comment on or make changes to this bug.